Bug 1004700 - [abrt] pungi-3.00-1.fc20: yumRepo.py:554:check:RepoError: Cannot find a valid baseurl for repo: fedora
[abrt] pungi-3.00-1.fc20: yumRepo.py:554:check:RepoError: Cannot find a valid...
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-09-05 05:32 EDT by Igor Gnatenko
Modified: 2015-06-29 08:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-06-29 08:19:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (2.90 KB, text/plain)
2013-09-05 05:32 EDT, Igor Gnatenko
no flags Details
File: environ (2.09 KB, text/plain)
2013-09-05 05:32 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Igor Gnatenko 2013-09-05 05:32:39 EDT
Description of problem:
tried pungi w/ latest fedora kickstart

Version-Release number of selected component:

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python -tt /bin/pungi -c /usr/share/spin-kickstarts/fedora-install-fedora.ks
dso_list:       yum-3.4.3-106.fc20.noarch
executable:     /bin/pungi
kernel:         3.11.0-3.fc20.x86_64
runlevel:       unknown
type:           Python
uid:            0

Truncated backtrace:
yumRepo.py:554:check:RepoError: Cannot find a valid baseurl for repo: fedora

Traceback (most recent call last):
  File "/bin/pungi", line 256, in <module>
  File "/bin/pungi", line 102, in main
    mypungi._inityum() # initialize the yum object for things that need it
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 338, in _inityum
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 770, in _getSacks
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 383, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 224, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 316, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1480, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1666, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1662, in _getRepoXML
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1653, in _loadRepoXML
    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1627, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1452, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1230, in _getFileRepoXML
    size=102400) # setting max size as 100K
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1012, in _getFile
    result = self.grab.urlgrab(misc.to_utf8(relative), local,
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 693, in <lambda>
    grab = property(lambda self: self._getgrab())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 688, in _getgrab
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 627, in _setupGrab
    urls = self.urls
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 870, in <lambda>
    urls = property(fget=lambda self: self._geturls(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 867, in _geturls
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 833, in _baseurlSetup
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 554, in check
    'Cannot find a valid baseurl for repo: %s' % self.ui_id
RepoError: Cannot find a valid baseurl for repo: fedora

Local variables in innermost frame:
self: <yum.yumRepo.YumRepository object at 0x1c8c590>
Comment 1 Igor Gnatenko 2013-09-05 05:32:43 EDT
Created attachment 794140 [details]
File: backtrace
Comment 2 Igor Gnatenko 2013-09-05 05:32:46 EDT
Created attachment 794141 [details]
File: environ
Comment 3 Jérôme Audu 2013-12-29 11:45:57 EST
Seem same bug as 1044675.

Use, as a workaround, the --releasever option to set the release version.

livecd-creator --verbose --config=/usr/share/spin-kickstarts/fedora-live-desktop.ks --fslabel=Image-Label --cache =/var/cache/live --releasever 20

This work for me.
Comment 4 Fedora End Of Life 2015-05-29 05:21:59 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:19:48 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.